/* Install PMSTRIKE on WPS */
/* Generate an WPS Object  */
/* by Markus Reuscher      */

"CLS"
say ""
say " Install PM Strike Version 1.4e                                              "
say " M..R - Markus Reuscher                                                     "
say ""

say ""
say ""
say ""
say ""
say ""
say " This program generates an PM-STRIKE object on your desktop!"
say " Do you want this? (Y/N)"
say ""
say ""
say ""
say " Dieses Programm generiert ein PM-STRIKE Objekt auf Ihrer Arbeitsoberlche!"
say " Wollen sie das? (J/N)"
say ""
say " "

pull answer
answer=translate(answer)
if answer <> "Y" & answer <> "J" then do
   say " Bye, bye..."
   exit
end

/* Load REXXUTIL-Funktion */
call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
call sysloadfuncs

/* Create serial communication object in templatefolder ---------------------------------- */
title     = 'PM Strike'
classname = 'WPProgram'
location  = '<WP_DESKTOP>'
setup     = 'OBJECTID=<WP_PMS14E>;'        ||,
            'PROGTYPE=PM;'                 ||,
            'STARTUPDIR='directory()';'    ||,
            'EXENAME=PMS.EXE'
CALL Build
Exit

Build:
call charout ,'Building: 'title

result = SysCreateObject(classname, title, location, setup, 'replace')

IF result=1 THEN
   CALL charout,'...   Object created!'
ELSE
   CALL charout,'...   Not created! Return code='result

SAY '';
RETURN
